
use "C:\Users\pgobbi\Dropbox\DINKS International\DATA\DHS Data\countries\all"
table country
*table country [fw=v005] if v613<80 & v012>40, contents(mean v201) 

* we will only use the unwanted birth measures for the no polygamous
gen polygamous=1 if v502 == 1 & v505 > 0 & v505<99999999
replace polygamous=0 if polygamous==.


***************************************************************
* Alternative measures of uncontrolled fertility -- definitions
***************************************************************

*measure 1
gen measure1=1 if v201-v613>1
replace measure1=0 if measure1==.
replace measure1=. if v201==. | v613==.

*measure2
gen hequal=1 if v621==1 | v621==3
replace hequal=0 if hequal==.
replace hequal=. if v621==.
gen measure2=1 if measure1==1 & hequal==1
replace measure2=0 if measure2==.
replace measure2=. if v621==.

*measure3
gen unwa=1 if v201-v613>2
replace unwa=0 if unwa==.
gen measure3=1 if unwa==1 & hequal==1
replace measure3=0 if measure3==.
replace measure3=. if v621==.

*measure4
gen measure4=1 if v613<5 & v201>8 
replace measure4=0 if measure4==.
replace measure4=. if v613==. | v201==.

*measure5
gen measure5=1 if v367==3
replace measure5=0 if v367==2 | v367==1

*measure6 (same as measure 2 but only one more child)
gen measureA=1 if v201-v613>0
replace measureA=0 if measureA==.
replace measureA=. if v201==. | v613==.
gen measure6=1 if measureA==1 & hequal==1
replace measure6=0 if measure6==.
replace measure6=. if measureA==.

*****************************************************************************
* Table "Alternative measures of uncontrolled fertility", Columns Measure 1-6
*****************************************************************************

table country [fw=v005] if v613<80 & v012>40 & polygamous==0 , contents(mean measure1) 
table country [fw=v005] if v613<80 & v012>40  & polygamous==0, contents(mean measure2) 
table country [fw=v005] if v613<80 & v012>40 & polygamous==0, contents(mean measure3) 
table country [fw=v005] if v613<80 & v012>40 & polygamous==0, contents(mean measure4) 
table country [fw=v005] if v613<80 & v012<41 & v012>34 & polygamous==0, contents(mean measure5) 
table country [fw=v005] if v613<80 & v012>40  & polygamous==0, contents(mean measure6) 

***********************
*means for measures 1-6
***********************

mean measure1 if v613<80 & v012>40 & polygamous==0  [fw=v005] 
mean measure2 if v613<80 & v012>40 & polygamous==0 [fw=v005] 
mean measure3 if v613<80 & v012>40 & polygamous==0 [fw=v005] 
mean measure4 if v613<80 & v012>40 & polygamous==0 [fw=v005] 
mean measure5 if v613<80 & v012<41 & v012>34 & polygamous==0 [fw=v005] 
mean measure6 if v613<80 & v012>40 & polygamous==0 [fw=v005] 

*************************************************************
*for the regression coefficients (last columnts of the table)
*************************************************************

table country v106 [fw=v005] if v613<80 & v012>40 & polygamous==0, contents(mean measure2) 
table v106 [fw=v005] if v613<80 & v012>40 & polygamous==0, contents(mean measure2) 

*************************************************************
*for the robustness: last column of Table E.2
*************************************************************

table country v106 [fw=v005] if v613<80 & v012>40 & polygamous==0, contents(mean measure6) 
table v106 [fw=v005] if v613<80 & v012>40 & polygamous==0, contents(mean measure6) 

clear all
