clear all
cd "Type-your-own-directory-here"
do data-building-file


log using "Type-your-own-directory-here\check_errors.smcl", replace

********************************************************
****** Step 0: Renaming variables and countries ********
********************************************************

rename country cntry
rename yrschool yrschl
rename yrschool_sp yrschl_sp
rename perwt wtper
rename edattain edattan
rename edattaind edattand
rename edattain_sp edattan_sp
rename edattaind_sp edattand_sp


* These lines ensure that you have selected only men and women age between 20nd 90 having a marital status between 1 and 4
keep if sex==1 | sex==2
keep if marst>0 & marst<5
keep if age>=20 & age<=90


gen country=1 if cntry==32
replace country=2 if cntry==68
replace country=3 if cntry==76
replace country=4 if cntry==152
replace country=5 if cntry==170
replace country=6 if cntry==188
replace country=7 if cntry==214 
replace country=8 if cntry==218
replace country=9 if cntry==332
replace country=10 if cntry==388
replace country=11 if cntry==484
replace country=12 if cntry==558
replace country=13 if cntry==591
replace country=14 if cntry==604
replace country=15 if cntry==222
replace country=16 if cntry==858
replace country=17 if cntry==862
replace country=18 if cntry==120
replace country=19 if cntry==288
replace country=20 if cntry==404
replace country=21 if cntry==430
replace country=22 if cntry==504
replace country=23 if cntry==466
replace country=24 if cntry==454
replace country=25 if cntry==646
replace country=26 if cntry==686
replace country=27 if cntry==694
replace country=28 if cntry==834
replace country=29 if cntry==800
replace country=30 if cntry==710
replace country=31 if cntry==894
replace country=32 if cntry==360
replace country=33 if cntry==116
replace country=34 if cntry==764
replace country=35 if cntry==704
replace country=36 if cntry==275


label define countryl 1 "Argentina" 2 "Bolivia" 3 "Brazil" 4 "Chile" 5 "Colombia" 6 "Costa-Rica" 7 "Dominican Rep." 8 "Ecuador" 9 "Haiti" 10 "Jamaica" 11 "Mexico" 12 "Nicaragua" 13 "Panama" 14 "Peru" 15 "Salvador" 16 "Uruguay" 17 "Venezuela" 18 "Cameroon" 19 "Ghana" 20 "Kenya" 21 "Liberia" 22 "Morrocco" 23 "Mali" 24 "Malawi" 25 "Rwanda" 26 "Senegal" 27 "Sierra Leone" 28 "Tanzania" 29 "Uganda" 30 "South Africa" 31 "Zambia" 32 "Indonesia" 33 "Cambodia" 34 "Thailand" 35 "Vietnam" 36 "Palestine"
 
label values country countryl

******************************************
****** Step 1: Sub-sample selection ******
******************************************



*********************************
** New marital status variable **
*********************************

* variable denoting countries where only married answer to the question on completed fertility
gen cntry_ma=1 if cntry==275 | cntry==524 | cntry==504 | cntry==360 | cntry==764



replace chsurv=0 if chborn==0

* table for the marital status by country

gen marstatus=1 if marst==1 | consens!=1
replace marstatus=2 if marst==2 & marstd!=217
replace marstatus=2 if consens==1 | polygam==1
replace marstatus=3 if marstd==217
replace marstatus=3 if polygam>1 & polygam<12
replace marstatus=4 if marst==3
replace marstatus=5 if marst==4
*women with no info or mistakes on CEB
replace marstatus=6 if (chsurv==. | chsurv>97) & sex==2 & marst!=1 & cntry_ma==1
replace marstatus=6 if chborn==98 & sex==2 & marst!=1 & cntry_ma==1
replace marstatus=6 if chborn<chsurv & sex==2 & marst!=1 & cntry_ma==1
replace marstatus=6 if (chsurv==. | chsurv>97) & sex==2 & cntry_ma==.
replace marstatus=6 if chborn==98 & sex==2 & cntry_ma==.
replace marstatus=6 if chborn<chsurv & sex==2 & cntry_ma==.

****************
** Age ranges **
****************


* We keep women aged between 40 and 54 *
drop if sex==2 & age>54
drop if sex==2 & age<40

* Country specific age ranges for men: we first compute the distribution of
* ages for the men married to our sampled women and drop the lowest and highest 
* 5% of the distribution, in order to eliminate outliers.

***************
** Table F.1 **
***************

sort country
by country: sum age_sp if sex==2 & marstatus==2, detail

*by country: centile (age_sp) if sex==2, centile (5 95)


replace age_sp=. if marst==2 & sex==2 & age_sp==999
set more off

gen agemin=38 if country==1 & sex==1
gen agemax=62 if country==1 & sex==1

replace agemin=37 if country==2 & sex==1
replace agemax=62 if country==2 & sex==1

replace agemin=37 if country==3 & sex==1
replace agemax=63 if country==3 & sex==1

replace agemin=38 if country==4 & sex==1
replace agemax=62 if country==4 & sex==1

replace agemin=37 if country==5 & sex==1
replace agemax=65 if country==5 & sex==1

replace agemin=37 if country==6 & sex==1
replace agemax=63 if country==6 & sex==1

replace agemin=35 if country==7 & sex==1
replace agemax=66 if country==7 & sex==1

replace agemin=37 if country==8 & sex==1
replace agemax=63 if country==8 & sex==1

replace agemin=38 if country==9 & sex==1
replace agemax=67 if country==9 & sex==1

replace agemin=35 if country==10 & sex==1
replace agemax=62 if country==10 & sex==1

replace agemin=39 if country==11 & sex==1
replace agemax=63 if country==11 & sex==1

replace agemin=36 if country==12 & sex==1
replace agemax=65 if country==12 & sex==1

replace agemin=36 if country==13 & sex==1
replace agemax=64 if country==13 & sex==1

replace agemin=37 if country==14 & sex==1
replace agemax=63 if country==14 & sex==1

replace agemin=36 if country==15 & sex==1
replace agemax=66 if country==15 & sex==1

replace agemin=38 if country==16 & sex==1
replace agemax=63 if country==16 & sex==1

replace agemin=36 if country==17 & sex==1
replace agemax=64 if country==17 & sex==1

replace agemin=41 if country==18 & sex==1
replace agemax=70 if country==18 & sex==1

replace agemin=40 if country==19 & sex==1
replace agemax=70 if country==19 & sex==1

replace agemin=42 if country==20 & sex==1
replace agemax=69 if country==20 & sex==1

replace agemin=39 if country==21 & sex==1
replace agemax=66 if country==21 & sex==1

replace agemin=42 if country==22 & sex==1
replace agemax=66 if country==22 & sex==1

replace agemin=44 if country==23 & sex==1
replace agemax=70 if country==23 & sex==1

replace agemin=41 if country==24 & sex==1
replace agemax=68 if country==24 & sex==1

replace agemin=40 if country==25 & sex==1
replace agemax=67 if country==25 & sex==1

replace agemin=42 if country==26 & sex==1
replace agemax=75 if country==26 & sex==1

replace agemin=35 if country==27 & sex==1
replace agemax=80 if country==27 & sex==1

replace agemin=41 if country==28 & sex==1
replace agemax=72 if country==28 & sex==1

replace agemin=39 if country==29 & sex==1
replace agemax=71 if country==29 & sex==1

replace agemin=39 if country==30 & sex==1
replace agemax=62 if country==30 & sex==1

replace agemin=42 if country==31 & sex==1
replace agemax=68 if country==31 & sex==1

replace agemin=42 if country==32 & sex==1
replace agemax=63 if country==32 & sex==1

replace agemin=38 if country==33 & sex==1
replace agemax=61 if country==33 & sex==1

replace agemin=39 if country==34 & sex==1
replace agemax=61 if country==34 & sex==1

replace agemin=40 if country==35 & sex==1
replace agemax=54 if country==35 & sex==1

replace agemin=42 if country==36 & sex==1
replace agemax=67 if country==36 & sex==1

replace agemin=43 if country==37 & sex==1
replace agemax=77 if country==37 & sex==1


drop if sex==1 & age<agemin
drop if sex==1 & age>agemax





table country if chborn<chsurv & sex==2 & chborn!=98 & chborn!=99 & chsurv!=98  & chsurv!=99








*checking birth info
gen birth_info=1 if marstatus!=6 & sex==2
replace birth_info=0 if marstatus==6 & sex==2
replace birth_info=0 if marstatus==1 & cntry_ma==1 & sex==2




*countries with no info on birth for old women
table age birth_info if  cntry==466
table age birth_info if  cntry==710
table age birth_info if  cntry==704
table age birth_info if  cntry==388

drop if cntry==466 & age>49 & sex==2
drop if cntry==710 & age>50 & sex==2
drop if cntry==704 & age>49 & sex==2
drop if cntry==388 & age>49 & sex==2


******************************
****** Education *************
******************************

* Here, we generate the variable school and delete outliers as explained in 
* Appendix A1 

drop if yrschl>89

gen school=yrschl
gen school_sp=yrschl_sp

*********************** PERU **********************
replace school=13 if edattan==322 & cntry==604
replace school=15 if yrschl==12 & edattan==4 & cntry==604

replace school_sp=13 if edattan_sp==322 & cntry==604
replace school_sp=15 if yrschl_sp==12 & edattan_sp==4 & cntry==604

*********************** CAMBODIA ******************
replace school=14 if edattand==322 & cntry==116
replace school=16 if yrschl==13 & edattan==4 & cntry==116

replace school_sp=14 if edattand_sp==322 & cntry==116
replace school_sp=16 if yrschl_sp==13 & edattan_sp==4 & cntry==116

*********************** KENYA *********************
replace school=16 if yrschl==13 & edattan==4 & cntry==404

replace school_sp=16 if yrschl_sp==13 & edattan_sp==4 & cntry==404

******************** S AFRICA  ********************
replace school=16 if yrschl==13 & edattan==4 & cntry==710

replace school_sp=16 if yrschl_sp==13 & edattan_sp==4 & cntry==710

******************** SIERRA LEONE *****************
replace school=16 if yrschl==13 & edattand==400 & cntry==694

replace school_sp=16 if yrschl_sp==13 & edattand_sp==400 & cntry==694

******************** TANZANIA *********************
replace school=16 if yrschl==14 & cntry==834

replace school_sp=16 if yrschl_sp==14 & cntry==834

******************** UGANDA ***********************
replace school=17 if yrschl==14 & edattand==400 & cntry==800

replace school_sp=17 if yrschl_sp==14 & edattand_sp==400 & cntry==800

******************** HAITI  ***********************
drop if yrschl<11 & edattan==3 & cntry==332

drop if yrschl_sp<11 & edattan_sp==3 & cntry==332

******************** JAMAICA **********************
drop if yrschl>5 & edattan==1 & cntry==388
drop if yrschl<=5 & edattan==2 & cntry==388
drop if yrschl<11 & edattan==3 & cntry==388
drop if yrschl<14 & edattan==4 & cntry==388

drop if yrschl_sp>5 & edattan_sp==1 & cntry==388
drop if yrschl_sp<=5 & edattan_sp==2 & cntry==388
drop if yrschl_sp<11 & edattan_sp==3 & cntry==388
drop if yrschl_sp<14 & edattan_sp==4 & cntry==388


******************** ZAMBIA  **********************
replace school=14 if edattand==322 & cntry==894
replace school=16 if yrschl==13 & edattan==4 & cntry==894

replace school_sp=14 if edattand_sp==322 & cntry==894
replace school_sp=16 if yrschl_sp==13 & edattan_sp==4 & cntry==894

***************************************************




**********************************************************
***** Generation of Table F.2 of the online Appendix *****
**********************************************************






* polygamous, divorced and widows are dropped from the samples
drop if marstatus==3 
drop if marstatus==4 
drop if marstatus==5 
gen married=1 if marstatus==2 
replace married=0 if marstatus==1

drop marstatus


**************************************************
******** Step 2: Generating main variables *******
**************************************************



***************
*Childlessness*
***************



gen childless_surv=1 if chsurv==0 & sex==2
replace childless_surv=0 if childless_surv==. & sex==2 & married==1
replace childless_surv=0 if childless_surv==. & sex==2 & married==0 & cntry_ma==.


**********************
*Fertility of mothers*
**********************

gen cfm=chsurv if childless_surv==0 & sex==2 & married==1
replace cfm=chsurv if childless_surv==0  & sex==2 & married==0 & cntry_ma==.




drop serial pernum edattand
compress
save sample.dta, replace







*************************************************
**** Step 3: Generating tables and moments ******
*************************************************
 
clear all
use sample
set more off


*************
** Table 1 **
*************

* Percentage of married women *
table country if sex==2 [pw=wtper], contents(mean married)

* Fertility of married mothers and childlessness of married women * 
table country if sex==2 & married==1 [pw=wtper], contents(mean childless_surv mean cfm)

* Fertility of single mothers and childlessness of single women * 
table country if sex==2 & married==0 [pw=wtper], contents(mean childless_surv mean cfm)


***************
** Table 2 ****
***************

* Results of table 2 are obtained by adding relevant cells of Table 10


***************
** Table A.1 **
***************

table country married if sex==1 
table country married if sex==2 

***************
** Table F.3 **
***************

* Per country *
table country school if married==1 & childless_surv==0 & sex==2 
table country school if married==1 & childless_surv==0 & sex==2  [pw=wtper], contents(mean cfm)



***************
** Table F.4 **
***************

* Per country *

table country school if married==0 & childless_surv==0 & sex==2 
table country school if married==0 & childless_surv==0 & sex==2 [pw=wtper], contents(mean cfm)


***************
** Table F.5 **
***************

* Per country *
table country school if married==1 & sex==2 
table country school if married==1 & sex==2 [pw=wtper], contents(mean childless_surv)



***************
** Table F.6 **
***************

* Per country *
table country school if married==0 & sex==2 
table country school if married==0 & sex==2 [pw=wtper], contents(mean childless_surv)



***************
** Table F.7 **
***************

* Per country *
table country school if  sex==2 
table country school if  sex==2 [pw=wtper], contents(mean married)



***************
** Table F.8 **
***************

* Per country *
table country school if  sex==1 
table country school if  sex==1 [pw=wtper], contents(mean married)



***************
** Table F.9 **
***************

* Per country *

table country school if chsurv!=99 & chsurv!=98 & sex==2 
table country school if chborn!=99 & chborn!=98 & sex==2 

table country school if chsurv!=99 & chsurv!=98 & sex==2 [pw=wtper], contents(mean chsurv)
table country school if chborn!=99 & chborn!=98 & sex==2 [pw=wtper], contents(mean chborn)




****************
** Table F.10 **
****************

* Per country *

table country school if chsurv!=99 & chsurv!=98 & sex==2 
table country school if chsurv!=99 & chsurv!=98 & sex==2 [pw=wtper]

* Agregate *

table country school if chsurv!=99 & chsurv!=98 & sex==2 
tabulate country school if chsurv!=99 & chsurv!=98 & sex==2 [aw=wtper], row nofreq



****************
** Table F.11 **
****************


* Per country *

table country school if  sex==1 
tabulate country school if  sex==1 [aw=wtper], row nofreq





 log close
